%define anolis_release 2

%undefine _hardened_build

Name:               conntrack-tools
Version:            1.4.7
Release:            %{anolis_release}%{?dist}
Summary:            Netfilter's connection tracking userspace tools
License:            GPLv2
URL:                http://conntrack-tools.netfilter.org/
Source0:            http://netfilter.org/projects/%{name}/files/%{name}-%{version}.tar.bz2
Source1:            conntrackd.service
Source2:            conntrackd.conf

BuildRequires:      gcc gcc-c++ make autoconf
BuildRequires:      systemd bison flex
BuildRequires:      pkgconfig(libmnl) >= 1.0.3 pkgconfig(libnetfilter_conntrack) >= 1.0.8
BuildRequires:      pkgconfig(libnetfilter_cthelper) >= 1.0.0 pkgconfig(libnetfilter_cttimeout) >= 1.0.0
BuildRequires:      pkgconfig(libnetfilter_queue) >= 1.0.2 pkgconfig(libnfnetlink) >= 1.0.1
BuildRequires:      pkgconfig(libsystemd) >= 227 pkgconfig(libtirpc)
Provides:           conntrack = 1.0-1
Obsoletes:          conntrack < 1.0-1
Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd


%description
The conntrack-tools are a set of free software userspace tools for Linux 
that allow system administrators interact with the Connection Tracking System, 
which is the module that provides stateful packet inspection for iptables. 
The conntrack-tools are the userspace daemon conntrackd and the command line 
interface conntrack.


%prep
%autosetup -p1 -n %{name}-%{version}


%build
%configure --disable-static --enable-systemd
sed -i "s/DEFAULT_INCLUDES = -I./DEFAULT_INCLUDES = -I. -I\/usr\/include\/tirpc/" src/helpers/Makefile
CFLAGS="${CFLAGS} -Wl,-z,lazy" CXXFLAGS="${CXXFLAGS} -Wl,-z,lazy"
%make_build
chmod 644 doc/sync/primary-backup.sh
rm -rf doc/sync/notrack/conntrackd.conf.orig doc/sync/alarm/conntrackd.conf.orig doc/helper/conntrackd.conf.orig


%install
%make_install
mkdir -p %{buildroot}%{_sysconfdir}/conntrackd
install -d -m 0755 -p %{buildroot}%{_unitdir}
install -m 0644 -p %{SOURCE1} %{buildroot}%{_unitdir}/
install -m 0644 -p %{SOURCE2} %{buildroot}%{_sysconfdir}/conntrackd/

%files
%dir %{_libdir}/conntrack-tools
%dir %{_sysconfdir}/conntrackd
%config(noreplace) %{_sysconfdir}/conntrackd/conntrackd.conf
%{_unitdir}/conntrackd.service
%{_sbindir}/conntrack
%{_sbindir}/conntrackd
%{_sbindir}/nfct
%{_libdir}/conntrack-tools/*
%license COPYING
%doc AUTHORS TODO doc
%{_mandir}/man5/*
%{_mandir}/man8/*


%post
%systemd_post conntrackd.service

%preun
%systemd_preun conntrackd.service

%postun
%systemd_postun conntrackd.service 

%changelog
* Tue Apr 11 2023 chen_yu_ao <m15927509890@163.com> - 1.4.7-2
- change spec file format

* Wed Jan 4 2023 Funda Wang <fundawang@yeah.net> - 1.4.7-1
- New version 1.4.7

* Fri Mar 11 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.4.6-1
- init from usptream 1.4.6
